Subject: Re: [PATCH] checkout: add a space between the commit and "..."

From: Johannes Sixt <[email-masked]>
Date: Wed, 29 Sep 2010 09:20:39 +0200

Am 9/29/2010 0:40, schrieb Brandon Casey:
> On 09/28/2010 05:23 PM, Aaron Plattner wrote:
>> Switching to a detached head prints something like
>>
>>   HEAD is now at 9d14017... dir.c: squelch false uninitialized memory warning
>>
>> These dots get selected when you double-click on the abbreviated
>> commit hash, which makes it annoying to copy and paste.
> 
> This must be another gnome-terminal/konsole "innovation".
> 
> xterm still does the "right thing"(tm) _and_ it doesn't eat my
> alt keystrokes like alt-b to move the cursor back a word. /rant

You must be running an xterm with settings from the stone ages. I had the
impression that modern installations have the selection configured such
that a file path can be selected with a mere double-click, without
dragging. For this, the dot must be in the same class as letters and
digits. Just for reference (I don't know how to read this):

$ appres XTerm | grep charClass
*charClass:     33:48,37:48,43:48,45-47:48,64:48,126:48,95:48

That said, I welcome this change, though I'd just have dropped ... or
replaced with a colon (preference for the second).

-- Hannes